## javax.faces.component.html
Class HtmlGraphicImage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIGraphic
                  javax.faces.component.html.HtmlGraphicImage

All Implemented Interfaces:
  StateHolder

public class HtmlGraphicImage
extends UIGraphic

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIGraphic
`COMPONENT_FAMILY`

Constructor Summary
`HtmlGraphicImage()`

Method Summary
`java.lang.String` `getAlt()`
`java.lang.String` `getDir()`
`java.lang.String` `getHeight()`
`java.lang.String` `getLang()`
`java.lang.String` `getLongdesc()`
`java.lang.String` `getOnclick()`
`java.lang.String` `getOndblclick()`
`java.lang.String` `getOnkeydown()`
`java.lang.String` `getOnkeypress()`
`java.lang.String` `getOnkeyup()`
`java.lang.String` `getOnmousedown()`
`java.lang.String` `getOnmousemove()`
`java.lang.String` `getOnmouseout()`
`java.lang.String` `getOnmouseover()`
`java.lang.String` `getOnmouseup()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`java.lang.String` `getTitle()`
`java.lang.String` `getUsemap()`
`java.lang.String` `getWidth()`
`boolean` `isIsmap()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setAlt(java.lang.String alt)`
`void` `setDir(java.lang.String dir)`
`void` `setHeight(java.lang.String height)`
`void` `setIsmap(boolean ismap)`
`void` `setLang(java.lang.String lang)`
`void` `setLongdesc(java.lang.String longdesc)`
`void` `setOnclick(java.lang.String onclick)`
`void` `setOndblclick(java.lang.String ondblclick)`
`void` `setOnkeydown(java.lang.String onkeydown)`
`void` `setOnkeypress(java.lang.String onkeypress)`
`void` `setOnkeyup(java.lang.String onkeyup)`
`void` `setOnmousedown(java.lang.String onmousedown)`
`void` `setOnmousemove(java.lang.String onmousemove)`
`void` `setOnmouseout(java.lang.String onmouseout)`
`void` `setOnmouseover(java.lang.String onmouseover)`
`void` `setOnmouseup(java.lang.String onmouseup)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setTitle(java.lang.String title)`
`void` `setUsemap(java.lang.String usemap)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class javax.faces.component.UIGraphic
`getFamily, getUrl, getValue, getValueBinding, setUrl, setValue, setValueBinding`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlGraphicImage

    public HtmlGraphicImage()

Method Detail

### setAlt

    public void setAlt(java.lang.String alt)

### getAlt

    public java.lang.String getAlt()

### setDir

    public void setDir(java.lang.String dir)

### getDir

    public java.lang.String getDir()

### setHeight

    public void setHeight(java.lang.String height)

### getHeight

    public java.lang.String getHeight()

### setIsmap

    public void setIsmap(boolean ismap)

### isIsmap

    public boolean isIsmap()

### setLang

    public void setLang(java.lang.String lang)

### getLang

    public java.lang.String getLang()

### setLongdesc

    public void setLongdesc(java.lang.String longdesc)

### getLongdesc

    public java.lang.String getLongdesc()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOnclick

    public java.lang.String getOnclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setUsemap

    public void setUsemap(java.lang.String usemap)

### getUsemap

    public java.lang.String getUsemap()

### setWidth

    public void setWidth(java.lang.String width)

### getWidth

    public java.lang.String getWidth()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIGraphic`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIGraphic`